{% extends 'navbar.html' %}
{% load static %}
{% load staticfiles %}
{% block content %}
<html>

<head>
 <!--css/js files are also supported, you can
 refer them using relative path.
 Save all files first, including html file
 to use this feature. -->

<!--Check Examples

-->
	<!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
        
        <title>Welcome</title>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" />
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
  
</head>
  <body class="about" >
        <section>
                <div class="container" id="text">
                    <h1><strong><br><br><br>Regarding Us</strong></h1>
                    <p> Friendly, Expert for your daily Assitant <br> TechAssitant provide information All about technology. </p>
                </div>                       
                <div class="container"> 
                        <form action="/about/" method="post">
                        {% csrf_token %}
                        <div class="form-group">
                           <label for="name">Name</label>
                           {{ form.name }}
                        </div>
                        <div class="form-group">
                           <label for="forum">Forum</label>
                           {{ form.forum }}
                           <!-- <input type="text" name="search" id="search" placeholder="Search Employee Details" class="form-control" />
                           <div id="suggesstion-box"></div> -->
                           <!-- <ul class="list-group" id="result"></ul> -->

                        </div>
                        <div class="form-group">
                           <label for="star">stars</label>
                           {{ form.star }}
                        </div>                
                        
                        </form>
                        
                </div>

                <!-- <button id="button" type="button">Click</button> -->
                <button id = "button" type="submit" class="btn btn-primary" value="Save">Submit</button>                            
                  <div id="overlay">
                  <div class="cv-spinner">
                  <span class="spinner"></span>
                  </div>
                  </div>
                
        </section>
  </body>
</html>


<style>
.about{
    background-image: url("https://i.imgur.com/4EeCjso.png");
    background-repeat: no-repeat;
    background-size: cover;
    height: auto;
    
}
#text{
    
    margin-left: 7%;
    text-align: 8vw;
    font-family: Rasa;
    font-size: 2vw;
}
#div-nav{
    font-family: Muli;
    font-size: 20px;
    width: 100%;
  }

#button{
	display:block;
	margin:20px auto;
	padding:10px 30px;
	background-color:blueviolet;
  cursor: pointer;
}
#overlay{	
	position: fixed;
	top: 0;
	z-index: 100;
	width: 100%;
	height:100%;
	display: none;
	background: rgba(0,0,0,0.6);
}
.cv-spinner {
	height: 100%;
	display: flex;
	justify-content: center;
	align-items: center;  
}
.spinner {
	width: 40px;
	height: 40px;
	border: 4px #ddd solid;
	border-top: 4px #2e93e6 solid;
	border-radius: 50%;
	animation: sp-anime 0.8s infinite linear;
}
@keyframes sp-anime {
	0% { 
		transform: rotate(0deg); 
	}
	100% { 
		transform: rotate(359deg); 
	}
}
.is-hide{
	display:none;
}
</style>

<script>
// $(document).ready(function () {
//     $('#search').keydown(function () {
//         $('#result').html('');
//         $('#state').val('');
//         var searchField = $('#search').val();
//         var expression = new RegExp(searchField, "i");
//         $.getJSON('static/dataforum.json', function(data) {
//             // THIS IS AJAX
//             $.each(data, function (key, value) {
//                 if (value.name.search(expression) != -1){
//                     $('#result').append('<li style="padding: 0.1rem">' + value.name + '</li>');
//                 }
//             });
//         });
//     });

//     $('#result').on('click', 'li', function () {
//         var click_text = $(this).text();
//         $('#id_namaproduk').val(click_text);
//         $("#result").html('');
//     });

    // $('#buttonCari').hover(function () {
    //     $('#buttonCari').css('background-color', '#67809F');
    //     $('#buttonCari').css('color', '#FFFFFF');
    // },function () {
    //     $('#buttonCari').css('background', 'transparent');
    //     $('#buttonCari').css('color', '#2E3131');
    // });
// });





// $(document).ready(function(){
// 	$("#search").keyup(function(){
// 		$.ajax({
// 		type: "POST",
// 		url: "static/dataforum.json",
// 		data:'keyword='+$(this).val(),
// 		// beforeSend: function(){
// 		// 	$("#search-box").css("background","#FFF url(LoaderIcon.gif) no-repeat 165px");
// 		// },
// 		success: function(data){
// 			$("#suggesstion-box").show();
// 			$("#suggesstion-box").html(data);
// 			$("#search").css("background","#FFF");
// 		}
// 		});
// 	});
// });
// //To select country name
// function selectCountry(val) {
// $("#search").val(val);
// $("#suggesstion-box").hide();
// }




// $('#search').autocomplete({
//     serviceUrl: 'static/dataforum.json',
//     onSelect: function (suggestion) {
//         alert('You selected: ' + suggestion.value + ', ' + suggestion.data);
//     }
// });



// function autocomplete(inp, arr) {
//   /*the autocomplete function takes two arguments,
//   the text field element and an array of possible autocompleted values:*/
//   var currentFocus;
//   /*execute a function when someone writes in the text field:*/
//   inp.addEventListener("input", function(e) {
//       var a, b, i, val = this.value;
//       /*close any already open lists of autocompleted values*/
//       closeAllLists();
//       if (!val) { return false;}
//       currentFocus = -1;
//       /*create a DIV element that will contain the items (values):*/
//       a = document.createElement("DIV");
//       a.setAttribute("id", this.id + "autocomplete-list");
//       a.setAttribute("class", "autocomplete-items");
//       /*append the DIV element as a child of the autocomplete container:*/
//       this.parentNode.appendChild(a);
//       /*for each item in the array...*/
//       for (i = 0; i < arr.length; i++) {
//         /*check if the item starts with the same letters as the text field value:*/
//         if (arr[i].substr(0, val.length).toUpperCase() == val.toUpperCase()) {
//           /*create a DIV element for each matching element:*/
//           b = document.createElement("DIV");
//           /*make the matching letters bold:*/
//           b.innerHTML = "<strong>" + arr[i].substr(0, val.length) + "</strong>";
//           b.innerHTML += arr[i].substr(val.length);
//           /*insert a input field that will hold the current array item's value:*/
//           b.innerHTML += "<input type='hidden' value='" + arr[i] + "'>";
//           /*execute a function when someone clicks on the item value (DIV element):*/
//               b.addEventListener("click", function(e) {
//               /*insert the value for the autocomplete text field:*/
//               inp.value = this.getElementsByTagName("input")[0].value;
//               /*close the list of autocompleted values,
//               (or any other open lists of autocompleted values:*/
//               closeAllLists();
//           });
//           a.appendChild(b);
//         }
//       }
//   });
//   /*execute a function presses a key on the keyboard:*/
//   inp.addEventListener("keydown", function(e) {
//       var x = document.getElementById(this.id + "autocomplete-list");
//       if (x) x = x.getElementsByTagName("div");
//       if (e.keyCode == 40) {
//         /*If the arrow DOWN key is pressed,
//         increase the currentFocus variable:*/
//         currentFocus++;
//         /*and and make the current item more visible:*/
//         addActive(x);
//       } else if (e.keyCode == 38) { //up
//         /*If the arrow UP key is pressed,
//         decrease the currentFocus variable:*/
//         currentFocus--;
//         /*and and make the current item more visible:*/
//         addActive(x);
//       } else if (e.keyCode == 13) {
//         /*If the ENTER key is pressed, prevent the form from being submitted,*/
//         e.preventDefault();
//         if (currentFocus > -1) {
//           /*and simulate a click on the "active" item:*/
//           if (x) x[currentFocus].click();
//         }
//       }
//   });
//   function addActive(x) {
//     /*a function to classify an item as "active":*/
//     if (!x) return false;
//     /*start by removing the "active" class on all items:*/
//     removeActive(x);
//     if (currentFocus >= x.length) currentFocus = 0;
//     if (currentFocus < 0) currentFocus = (x.length - 1);
//     /*add class "autocomplete-active":*/
//     x[currentFocus].classList.add("autocomplete-active");
//   }
//   function removeActive(x) {
//     /*a function to remove the "active" class from all autocomplete items:*/
//     for (var i = 0; i < x.length; i++) {
//       x[i].classList.remove("autocomplete-active");
//     }
//   }
//   function closeAllLists(elmnt) {
//     /*close all autocomplete lists in the document,
//     except the one passed as an argument:*/
//     var x = document.getElementsByClassName("autocomplete-items");
//     for (var i = 0; i < x.length; i++) {
//       if (elmnt != x[i] && elmnt != inp) {
//       x[i].parentNode.removeChild(x[i]);
//     }
//   }
// }
// /*execute a function when someone clicks in the document:*/
// document.addEventListener("click", function (e) {
//     closeAllLists(e.target);
// });
// }



  jQuery(function($){
	  $(document).ajaxSend(function() {
		  $("#overlay").fadeIn(300);　
	  });
		
	  $('#button').click(function(){
		  $.ajax({
			  type: 'GET',
			  success: function(data){
				  console.log(data);
			  }
		  }).done(function() {
  			setTimeout(function(){
	  			$("#overlay").fadeOut(300);
		  	},500);
		  });
	  });	
  });

  $("p").mouseover(function(){
    $("p").css("background-color", "blueviolet");
  });

  $("p").mouseleave(function(){
    $("p").css("background-color", "");
  });



</script>

{% endblock %}